%{!?pyver: %define pyver %(%{__python} -c 'import sys;print(sys.version[0:3])')}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pydir: %define pydir %(%{__python} -c "from distutils.sysconfig import get_config_vars; print get_config_vars()['LIBDEST']")}

Summary: Horde IMAP/POP3 Proxy
Name: hiproxy
Version: 0.9.1
Release: 2
License: GPL
Source: http://kmlinux.fjfi.cvut.cz/~vokac/activities/%{name}/%{name}-%{version}.tar.gz
Group: Networking/Daemons
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Requires: python-twisted >= 1.3

%description
This is simple Horde IMAP/POP3 Proxy daemon that can be used to cache
authenticated/unauthenticated IMAP or POP3 connections to the corresponding
IMAP/POP3 server. It provide support for secure SSL connection on client
and server side.


%prep
%setup


%build
python setup.py build


%install
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"

python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

install -p -D -m644 hiproxy.conf $RPM_BUILD_ROOT%{_sysconfdir}/hiproxy.conf
install -p -D -m755 hiproxy.init $RPM_BUILD_ROOT%{_sysconfdir}/init.d/hiproxy
install -p -D -m644 hiproxy.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/hiproxy
install -p -D -m644 hiproxy.tap $RPM_BUILD_ROOT%{_sbindir}/hiproxy.tap
install -d $RPM_BUILD_ROOT%{_var}/log/hiproxy


%clean
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"


%post
#exec &>/dev/null
# Adding hiproxy config
if [ $1 = 2 ]; then # upgrade
  # restart hiproxy
  /etc/init.d/hiproxy restart || true
else # install
  if [ -x /sbin/chkconfig ]; then
    /sbin/chkconfig --add hiproxy
    #/sbin/chkconfig --level 2345 hiproxy
  fi
  # start hiproxy
  /etc/init.d/hiproxy start || true
  cat << EOF
* change configuration /etc/hiproxy.conf
* don't forget to apply horde-imp-login.patch
EOF
fi

%preun
#exec &>/dev/null
if [ $1 = 0 ]; then # uninstall
  if [ -x /sbin/chkconfig ]; then
    /etc/init.d/hiproxy stop
    /sbin/chkconfig --del hiproxy
  fi
fi


%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc NEWS README TODO hiproxy.conf horde-imp-login.patch
%config(noreplace) %{_sysconfdir}/hiproxy.conf
%config(noreplace) %{_sysconfdir}/sysconfig/hiproxy
%{_sysconfdir}/init.d/*
%{_sbindir}/*
%attr(-,nobody,nobody) %{_var}/log/hiproxy


%changelog
* Mon Jul 24 2006 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.9.1-1
- added simple debug interface
- use hashed password in key to connection cache

* Sun Jul 23 2006 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.9.0-1
- initial release
- basic IMAP support
- POP3 doesn't work
